<package name="org.scilab.modules.renderer.fecDrawing">
  <object name="DrawableFecGL">
    <method name="display" returnType="void">
    </method>
    <method name="initializeDrawing" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="endDrawing" returnType="void">
    </method>
    <method name="show" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="destroy" returnType="void">
      <param type="int" name="parentFigureIndex" />
    </method>
    <method name="translate" returnType="void">
      <param type="double" name="tx" />
      <param type="double" name="ty" />
      <param type="double" name="tz" />
    </method>
    <method name="endTranslate" returnType="void">
    </method>
    <method name="clipX" returnType="void">
      <param type="double" name="xMin" />
      <param type="double" name="xMax" />
    </method>
    <method name="clipY" returnType="void">
      <param type="double" name="yMin" />
      <param type="double" name="yMax" />
    </method>
    <method name="clipZ" returnType="void">
      <param type="double" name="zMin" />
      <param type="double" name="zMax" />
    </method>
    <method name="unClip" returnType="void">
    </method>
  </object>
</package>
